
Foreman - Feature #1597

We should be able to restrict compute resource to users

05/02/2012 10:36 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be usefull to be able to restrict some compute resource to users.

Associated revisions

Revision e170c321 - 05/30/2012 08:47 AM - Olivier Favre

fixes #1597 - Restrict compute resources access by user

And add some rights to give non admin users so they can perform some normal actions on the hosts they own.

unit/domain_parameter_test.rb self-broke... added a tiny fix.

Removing compute_resources/vms nesting, it is such a nightmare for functional tests.

Signed-off-by: Olivier Favre <olivier@yakaz.com>

History

#1 - 05/24/2012 05:12 AM - Ohad Levy

- Category set to Users, Roles and Permissions

- Target version set to 1.0

#2 - 05/30/2012 12:31 PM - Olivier Favre

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset e170c3210ceccccc43ef0795c89a14f472a074f9.
